#ifndef _PROTOCOL_H_
#define _PROTOCOL_H_

#define CMD_SIZE 3
#define MSG_SIZE 6

/** Initialize ports (input/output) **/
void initPorts();

/** Start handling for Ipemotion protocol **/
void startProtocolHanlde();

/** Set digital output channel **/
int setDigitalChannel(unsigned char *str);

/** Read digital input channel **/
int readDigitalIn(unsigned char *str);

/** Read digital output channel **/
int readDigitalOut(unsigned char *str);

/** Read analog input**/
int readAnalogIn(unsigned char *str);

/** read anlog output **/
int readAnalogOut(unsigned char *str);

/** Set analog output **/
int setAnalogOut(unsigned char *str);

#endif //_PROTOCOL_H_
